Skip to main content
POST
Create Application Using Workflow Builder

Authorizations

Authorization
string
header
required


You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:

Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.

Body

multipart/form-data
workflow_template_id
string
required

Workflow template ID.

Example:

"architecto"

client_id
string
required

Client ID. Required for Lendflow users, and ignored for every other user, who always gets their own client. Must match an existing stored value.

Example:

"architecto"

prequalification_id
string

Must match an existing stored value.

Example:

null

client_tracking_token
string

Client tracking token. Must not be greater than 50 characters.

Example:

"n"

tracking_tokens
string[]

Must not be greater than 255 characters.

Example:
utm_parameters
object[]

UTM parameters.

Example:

null

move_to_next_stage
boolean

Move the application to the next workflow stage, if possible.

Example:

false

with_validation
boolean

Validate application when moving to the next workflow stage. Can only be used with move_to_next_stage.

Example:

true

data_orchestration_template_id
string

Data orchestration template ID. Must match an existing stored value.

Example:

null

bank_statements
object[]

Must not have more than 10 items.

Example:

null

with_underwriting
string
Example:

null

external_service_logs
string
Example:

null

note
object | null

Application note to add.

Example:

null

lenient_fields
(enum<string> | null)[]
Available options:
accounts_payable_phone_number,
affiliated_businesses_phone_numbers,
affiliated_individuals_telephone,
bonding_agent_telephone,
business_phone_numbers,
company_officers_phone_number,
guarantor_telephone,
insurance_telephone,
personal_phone_numbers,
personal_telephone,
trade_references_business_telephone
Example:
brand_name_id
string | null

Client brand name to associate with the deal. list_client_brand_names returns the client's brand names with their ids. Must belong to the deal's client. Overrides the workflow template's default brand.

Example:

null

plaid_data
object
Example:

null

plaid
object
Example:

Response

200 - application/json
data
object